Bug 8530 - Little buffer overflow
Summary: Little buffer overflow
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-17 10:31 UTC by Joao Sacramento
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 15:39:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joao Sacramento 2000-01-17 10:31:09 UTC
Lately, I found out that pine 4.10, which ships with Red Hat's
latest distributions, has a buggy pico. We can easily overflow
pico while it is evaluating command-line arguments, thus forcing
it to leave a coredump.
Although I haven't checked out pine's source, yet, I suspect
there's a badly written strcpy() out there.

Just start pico and feed it with a 101+ character long filename. It should
immeadiately die. I informed the UW PINE maintainers, and the latest
versions are already fixed. Therefore, 4.20 is not affected.

BTW, joe is also vulnerable.

Cheers,
Joao "zhp" Sacramento

Comment 1 Bernhard Rosenkraenzer 2000-01-18 15:39:59 UTC
We've updated to 4.21 a while ago - that should fix it.


Note You need to log in before you can comment on or make changes to this bug.